function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"3",100,"messageinfo")  
-- return;end;
showoptons(0);
return;end;


function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"3",100,"messageinfo")
		end;			
		BlockCursor(false);
	return;end;
	
	if sender==26 then
		if text1 and text2 then		
			flags.minirun3=false;
			finish_mini_game(true);
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;
	if sender==30 then
		setcurentleaf("photolab",2,1);	
	--	--Emitters(true);
		DarkScreen(false);
		if flags.minicomplete2 then
		 StopEmiter("Svet");
			flags.minitext2=true;
			speciale_action(2,100,true);
			Set_Cursor(1,2);
			if flags.minicomplete1 then 
				Set_Cursor(14,3);	
			
			return;end;
			
		return;end;
		-- loadresource("data\\2\\1\\0000.png","a0101",101);
		-- addactivobjecttogame(101,"a0101",0,2000,"","");
		-- AddElement("gr",101);
		-- MoveObjectToTree(101);
	return; end;
	if sender==10 then
		flags.minicomplete2=true;
		 clear_satelite_leaf("photolab");
		playeffect("miniC");
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;				
	if sender==1 then
		if id==6000 then
			CreateWindow(200,200,"3",100,"messageinfo") 
		return;end;	
		if id==5000 and skipping then
		playeffect("skip");
			if not flags.minicomplete2 then
				finish_mini_game(true);
			return;end;	
		return;end;
			
		if id==1000 then
			clear_satelite_leaf("photolab");
			playeffect("close");
			finish_mini_game(false);
			DeleteResource("o1_btn")
			DeleteResource("o1_text2")
			DeleteResource("o1_text1")
			DeleteResource("o1_bg")
		return;end;
		
		if id==1001 then
			CreateWindow(100,100,"215",100);
			text2=true;
		return;end;
		
		if id==1002 then
			CreateWindow(100,100,"214",100);
			text1=true;		
		return;end;
		
	return;end;	
end;
function mini_delete ()

end;